## ibus 1.5.32

=== debian/changelog ===
ibus (1.5.32-2build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:47:30 +0000

ibus (1.5.32-2) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jul 2025 10:15:42 -0400

ibus (1.5.32-2~exp1) experimental; urgency=medium

  * Team upload.
  * Run xvfb-run with -s "-noreset" to avoid random FTBFS in tests.
    (Closes: #1108040)

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jul 2025 00:28:55 -0400

ibus (1.5.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 10 Apr 2025 20:22:56 -0400
