=== debian/tests/control ===
# NOTE: "installed-tests" runs ibus-desktop-testing-runner program which adds
# /var/lib/AccountsService/username file. So it needs root and breaks its
# testbed.
Tests: installed-tests
Depends: ibus-tests
# see https://bugs.debian.org/1018871 about the selection of architectures
Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64
Restrictions: allow-stderr, needs-root, breaks-testbed
