## ibus 1.5.33

=== debian/changelog ===
ibus (1.5.33-1) unstable; urgency=medium

  * New upstream release. (Closes: #1123698, #1098946)
  * debian/*.lintian-overrides: Remove lintian overrides which are
    not needed anymore.
  * debian/copyright: Updated
  * debian/control: Remove "Rules-Requires-Root: no"
  * debian/control: Update Build-Depends
    - Remove libgirepository1.0-dev (Closes: #1118848)
    - Add python-is-python3, allowing /usr/bin/python script.
  * debian/watch: Use debian/watch version 5

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 22 Dec 2025 02:09:29 +0900
