=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                gettext,
                gir1.2-gobject-2.0-dev <!nogir>,
                gir1.2-gio-2.0-dev <!nogir>,
+               gir1.2-gnomedesktop-4.0 <!nogir>,
 # gnome-pkg-tools pulls dh-translations on Ubuntu
                gnome-pkg-tools,
-               gobject-introspection,
+               gobject-introspection (>= 1.80),
                gtk-doc-tools <!nodoc>,
                iso-codes,
                libdbusmenu-glib-dev,
                libdbusmenu-gtk3-dev,
                libdconf-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62.2-2),
                libgtk-3-bin,
                libgtk-3-dev,
@@ -33,6 +33,7 @@
                libwayland-dev [linux-any],
                pkgconf,
                python-gi-dev,
+               python-is-python3,
                python3-all,
                systemd-dev [linux-any],
                unicode-cldr-core (>= 44),
@@ -43,7 +44,6 @@
                xkb-data (>= 2.38),
                xvfb <!nocheck>,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/ibus
 Vcs-Git: https://salsa.debian.org/debian/ibus.git
@@ -118,6 +118,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt5gui5t64 (<< 5.15.1)
 Description: ${source:Synopsis} - shared library
  ${source:Extended-Description}
  .
