=== debian/watch ===
Version: 5
Template: Github
Owner: ibus
Project: ibus
