## ibus 1.5.34~alpha1

=== debian/changelog ===
ibus (1.5.34~alpha1-2) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Don't Build-Depends on python-is-python3 anymore (Closes: #1124393)
    - Instead add debian/patches/fix-shebang-python3.patch to fix FTBFS.
  * debian/ibus.prerm: Removed. prerm script should not run dconf. there's
    no guarantee of fully installed /usr/bin/dconf (Closes: #1110738).
  * debian/ibus.bug-script: Updated; collect less

  [ Jeremy Bícha ]
  * Don't use Build-Depends: gir1.2-gnomedesktop-4.0 on i386
    - gir1.2-gnomedesktop-4.0 is not in Ubuntu i386 and this BD is only
      for test.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 06 Jan 2026 20:07:12 +0900

ibus (1.5.34~alpha1-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream release.
    - Drop d/p/ignore-xkb-mismatch.patch; the upstream fixed FTBFS.
  * debian/rules: Fix FTBFS on non-linux; where wayland is disabled
    - Rebuild upstream shipped C file.
  * debian/watch: Fix the wrong recent version "20080901"
    - Stop using template and define URLs and patterns to use
      released tarballs.

  [ Jeremy Bícha ]
  * Build ibus-tests for all Debian release architectures
    - This updates the architecture list to remove mips* and add loong64.
      Most ports don't have gjs which is needed for this package to work.
  * Remove Recommends: ibus-gtk, ibus-gtk3, ibus-gtk4
    - Since the gtk libraries recommend the appropriate ibus package
      directly. This was discussed at https://bugs.debian.org/1115532 .
  * Remove nogir annotation from Build-Depends
    - This package doesn't actually support the nogir build profile.

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 25 Dec 2025 21:02:02 +0900
