=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                desktop-file-utils,
                dh-sequence-python3,
                gettext,
-               gir1.2-gobject-2.0-dev <!nogir>,
-               gir1.2-gio-2.0-dev <!nogir>,
-               gir1.2-gnomedesktop-4.0 <!nogir>,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gnomedesktop-4.0 [!i386] <!nocheck>,
 # gnome-pkg-tools pulls dh-translations on Ubuntu
                gnome-pkg-tools,
                gobject-introspection (>= 1.80),
@@ -33,7 +33,6 @@
                libwayland-dev [linux-any],
                pkgconf,
                python-gi-dev,
-               python-is-python3,
                python3-all,
                systemd-dev [linux-any],
                unicode-cldr-core (>= 44),
@@ -69,9 +68,6 @@
         python3-gi,
         python3-ibus-1.0 (= ${source:Version}),
 Recommends:
-        ibus-gtk,
-        ibus-gtk3,
-        ibus-gtk4,
         im-config,
 Suggests:
         ibus-clutter,
@@ -95,7 +91,7 @@
 Package: ibus-tests
 Build-Profiles: <!noinsttest>
 # see https://bugs.debian.org/1018871 about the selection of architectures
-Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
