=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,5 @@
 Tests: installed-tests
 Depends: ibus-tests
 # see https://bugs.debian.org/1018871 about the selection of architectures
-Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x
 Restrictions: allow-stderr, needs-root, breaks-testbed
