## ibus 1.5.34~beta1

=== debian/changelog ===
ibus (1.5.34~beta1-1) unstable; urgency=medium

  * New upstream version 1.5.34~beta1
  * d/control: Remove redundant "Priority: optional"
  * d/control: Bump Standards-Version to 4.7.3

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 16 Feb 2026 20:29:58 +0900
