=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ibus
 Section: utils
-Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            Changwoo Ryu <cwryu@debian.org>,
@@ -43,7 +42,7 @@
                xkb-data (>= 2.38),
                xvfb <!nocheck>,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/ibus
 Vcs-Git: https://salsa.debian.org/debian/ibus.git
 Homepage: https://github.com/ibus/ibus
