=== debian/rules ===
--- 
+++ 
@@ -78,11 +78,12 @@
 		debian/tmp/usr/share/applications/*
 
 override_dh_auto_build:
-# Rebuild upstream shipped Vala-generated files in ui/gtk3, as the shipped
-# ui/gtk3/panelbinding.c causes FTBFS with --disable-wayland. No need to
-# upstream; the upstream doesn't want Vala to be needed by the default build
+# Rebuild upstream shipped Vala-generated files in ui/gtk3 and tools dirs, as
+# the shipped C files FTBFS with --disable-wayland. No need to upstream; the
+# upstream doesn't want Vala to be needed by the default build
 # (https://github.com/ibus/ibus/issues/2082).
 	make -C ui/gtk3 maintainer-clean-generic
+	make -C tools maintainer-clean-generic
 	dh_auto_build
 
 override_dh_install:
