=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/ibus/ibus/releases?per_page=100
Matching-Pattern: https://github.com/ibus/ibus/releases/download/[^/]+/ibus-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/-?(a|alpha|b|beta|c|dev|pre|rc)/~$1/
Searchmode: plain
